#!/bin/sh
#
# Send multiples files non-interactively

# adjust if needed
attachment_header='Attach'


if [ $# -lt 3 ]; then
    echo 'usage: sendfiles RECIPIENT SUBJECT FILES...' 1>&2
    exit 1;
fi

rcpt="$1"
shift
subject="$1"
shift

cat 1>&2 <<!
Recipient: $rcpt
Subject:   $subject
Files:     $*
!

draft=`mktemp /tmp/sendfiles.XXXXXX`
trap 'rm -f "$draft"' 1 2 3 15
cat >"$draft" <<!
To: $rcpt
Subject: $subject
!
for i in "$@" ; do
	echo "$attachment_header: $i" >>"$draft"
done

send "$draft"
